import { resetWarned } from '../vc-util/warning';
export { resetWarned };
export declare function noop(): void;
type Warning = (valid: boolean, component: string, message?: string) => void;
type Deprecated = (valid: boolean, component: string, oldProp: string, newProp: string, message?: string) => void;
declare let warning: Warning;
declare let deprecated: Deprecated;
export { deprecated };
export default warning;
